--AH:ScriptId=03574a58-d736-4a7e-87d5-0b0f94749f82;3230
ALTER TABLE [Executions]
	ADD [ExecutionType_Name] VARCHAR(50)
ALTER TABLE [Executions]
	ADD [Execution_Configuration] XML

ALTER TABLE [Executions]
	ADD [Job_Id] INT
ALTER TABLE [Executions]
	ADD [Server_Id] INT
ALTER TABLE [Executions]
	ADD [Simulation_Indicator] YNINDICATOR
ALTER TABLE [Executions]
	ADD [DriftDetected_Indicator] YNINDICATOR

GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [FK__Executions__Jobs]
		FOREIGN KEY ([Job_Id])
		REFERENCES [Jobs] (Job_Id)
		ON DELETE SET NULL

ALTER TABLE [Executions]
	ADD CONSTRAINT [FK__Executions__Servers]
		FOREIGN KEY ([Server_Id])
		REFERENCES [Servers] ([Server_Id])
		ON DELETE SET NULL

UPDATE [Executions]
   SET [Job_Id] = PE.[Job_Id],
       [Server_Id] = PE.[Server_Id],
	   [Simulation_Indicator] = PE.[Simulation_Indicator],
	   [DriftDetected_Indicator] = PE.[DriftDetected_Indicator]
  FROM [Executions] E
       INNER JOIN [PlanExecutions] PE
	           ON PE.[Execution_Id] = E.[Execution_Id]

UPDATE [Executions]
   SET [ExecutionType_Name] = ME.[ExecutionType_Name],
       [Execution_Configuration] = ME.[Execution_Configuration]
  FROM [Executions] E
       INNER JOIN [ManualExecutions] ME
	           ON ME.[Execution_Id] = E.[Execution_Id]

UPDATE [Executions]
   SET [Simulation_Indicator] = COALESCE([Simulation_Indicator], 'N'),
       [DriftDetected_Indicator] = COALESCE([DriftDetected_Indicator], 'N')

GO

ALTER TABLE [Executions]
	ALTER COLUMN [Simulation_Indicator] YNINDICATOR NOT NULL
ALTER TABLE [Executions]
	ALTER COLUMN [DriftDetected_Indicator] YNINDICATOR NOT NULL

GO

DROP TABLE [PlanExecutions]
DROP TABLE [ManualExecutions]
