EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Jobs_GetJobs',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Jobs_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified jobs in the system.'
GO


IF OBJECT_ID('[Jobs_GetJobs]') IS NOT NULL DROP PROCEDURE [Jobs_GetJobs]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Jobs_GetJobs]
(
    @JobType_Code CHAR(1) = NULL,
    @JobState_Code CHAR(1) = NULL
)   
AS
BEGIN

	SET NOCOUNT ON

	SELECT * 
	  FROM [Jobs_Extended]
     WHERE (@JobType_Code IS NULL OR [JobType_Code] = @JobType_Code)
       AND (@JobState_Code IS NULL OR [JobState_Code] = @JobState_Code)

END
GO

GRANT EXECUTE ON [Jobs_GetJobs] TO [OtterUser_Role]