EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Servers_GetServerByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Servers_Extended,ServerConfigurations_Extended,Environments_Extended,ServerRoles_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified server, with its associated configurations and environments.'
GO


IF OBJECT_ID('[Servers_GetServerByName]') IS NOT NULL DROP PROCEDURE [Servers_GetServerByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Servers_GetServerByName]
(
    @Server_Name NVARCHAR(50)
)   
AS
BEGIN

	SET NOCOUNT ON

    DECLARE @Server_Id INT

    SELECT @Server_Id = [Server_Id]
      FROM [Servers]
     WHERE [Server_Name] = @Server_Name

	SELECT * 
	  FROM [Servers_Extended]
     WHERE [Server_Id] = @Server_Id

    SELECT * 
	  FROM [ServerConfigurations_Extended]
     WHERE [Server_Id] = @Server_Id
     
     SELECT E.* 
	  FROM [EnvironmentServers] ES
     INNER JOIN [Environments_Extended] E
             ON ES.[Environment_Id] = E.[Environment_Id]
     WHERE [Server_Id] = @Server_Id

     SELECT SR.* 
	  FROM [ServerRoleServers] SRS
     INNER JOIN [ServerRoles_Extended] SR
             ON SR.[ServerRole_Id] = SRS.[ServerRole_Id]
     WHERE [Server_Id] = @Server_Id


END
GO

GRANT EXECUTE ON [Servers_GetServerByName] TO [OtterUser_Role]